Bug 624565 - libvirtd errors out on start with multiple errors for HP hosts using hpsa module
libvirtd errors out on start with multiple errors for HP hosts using hpsa module
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-16 20:59 EDT by pob
Modified: 2015-03-19 04:02 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-21 22:35:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pob 2010-08-16 20:59:52 EDT
Description of problem:
libvirtd errors out on start with multiple errors, although the init script reports back that libvirtd starts up correctly. this only appears to be happening on hosts using the hpsa module and while the errors suggest there are other issues, I have been unable to recreate them on any other hardware aside from hosts using controllers which use the hpsa module (which in my case was only hosts using the P410i controllers).

Version-Release number of selected component (if applicable):
0.8.1-13.el6

How reproducible:
This happened on every HP machine with a controller which uses the hpsa module. For older versions of RHEL OR HP machines which use the cciss module, libvirtd works as expected. 

Steps to Reproduce:
1. find a host with one of the following models of hp RAID controllers:
Smart Array P212
Smart Array P410
Smart Array P410i
Smart Array P411
Smart Array P411
Smart Array P812
Smart Array P712
Smart Array P711m
StorageWorks P1210m
StorageWorks P1210m

2. install RHEL6

3. install necessary libvirt packages

4. start libvirtd
  
Actual results:
Aug 16 17:11:23 host1 libvirtd: 17:11:23.812: error : udevGetSCSIType:747 : Failed to find SCSI device type 12
Aug 16 17:11:23 host1 libvirtd: 17:11:23.857: error : ebiptablesDriverInit:3424 : internal error firewall tools were not found or cannot be used
Aug 16 17:11:23 host1 libvirtd: 17:11:23.860: warning : qemudStartup:2004 : Unable to create cgroup for driver: No such device or address
Aug 16 17:11:23 host1 libvirtd: 17:11:23.860: error : virGetGroupID:2727 : Failed to find group record for name 'qemu': Numerical result out of range
Aug 16 17:11:23 host1 libvirtd: 17:11:23.860: error : virStateInitialize:982 : Initialization of QEMU state driver failed
Aug 16 17:11:23 host1 libvirtd: 17:11:23.888: warning : lxcStartup:1884 : Unable to create cgroup for driver: No such device or address
Aug 16 17:11:23 host1 libvirtd: 17:11:23.888: error : main:3231 : Driver state initialization failed
Aug 16 17:11:23 host1 libvirtd: 17:11:23.888: warning : qemudDispatchSignalEvent:392 : Shutting down on signal 3

Expected results:
libvirtd would start working

Additional info:

$ modinfo hpsa
filename:       /lib/modules/2.6.32-44.1.el6.x86_64/kernel/drivers/scsi/hpsa.ko
license:        GPL
version:        2.0.2-2
description:    Driver for HP Smart Array Controller version 2.0.2-2
author:         Hewlett-Packard Company
srcversion:     7C0AD17EB7FAA34B7880095
alias:          pci:v0000103Cd*sv*sd*bc01sc04i*
alias:          pci:v0000103Cd0000333Fsv0000103Csd0000333Fbc*sc*i*
alias:          pci:v0000103Cd0000323Asv0000103Csd00003233bc*sc*i*
alias:          pci:v0000103Cd0000323Asv0000103Csd0000324Bbc*sc*i*
alias:          pci:v0000103Cd0000323Asv0000103Csd0000324Abc*sc*i*
alias:          pci:v0000103Cd0000323Asv0000103Csd00003249bc*sc*i*
alias:          pci:v0000103Cd0000323Asv0000103Csd00003247bc*sc*i*
alias:          pci:v0000103Cd0000323Asv0000103Csd00003245bc*sc*i*
alias:          pci:v0000103Cd0000323Asv0000103Csd00003243bc*sc*i*
alias:          pci:v0000103Cd0000323Asv0000103Csd00003241bc*sc*i*
depends:        
vermagic:       2.6.32-44.1.el6.x86_64 SMP mod_unload modversions 
parm:           hpsa_allow_any:Allow hpsa driver to access unknown HP Smart Array hardware (int)
Comment 2 RHEL Product and Program Management 2010-08-16 21:18:36 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Daniel Berrange 2010-08-17 05:37:10 EDT
> Aug 16 17:11:23 host1 libvirtd: 17:11:23.812: error : udevGetSCSIType:747 :
> Failed to find SCSI device type 12

This error should be non-fatal to libvirtd


> Aug 16 17:11:23 host1 libvirtd: 17:11:23.857: error : ebiptablesDriverInit:3424
> : internal error firewall tools were not found or cannot be used

This looks bad. Do you have 'ebtables' and 'iptables' RPMs installed ?

> Aug 16 17:11:23 host1 libvirtd: 17:11:23.860: warning : qemudStartup:2004 :
> Unable to create cgroup for driver: No such device or address

Do you have the 'libcgroup' RPM installed, and is the 'cgconfig' init service enable & loaded. cat /proc/mounts should show many 'cgroup' filesystems mounted.

> Aug 16 17:11:23 host1 libvirtd: 17:11:23.860: error : virGetGroupID:2727 :
> Failed to find group record for name 'qemu': Numerical result out of range

Does the 'qemu' cgroup exist in /etc/group & what GID does it have ?
Comment 4 Dave Allan 2010-11-22 22:00:19 EST
We aren't going to be able to make progress on this BZ without the requested information.
Comment 5 Dave Allan 2011-02-21 22:35:41 EST
Since we haven't received the information we need to make progress, I'm closing as insufficient data.  Please reopen if you are able to provide the information.

Note You need to log in before you can comment on or make changes to this bug.